com.dlsc.flexgantt.model.treetable

## Class ColumnModelEvent

- java.lang.Object
- - java.util.EventObject
  - - com.dlsc.flexgantt.model.treetable.ColumnModelEvent

- All Implemented Interfaces:
    Serializable

      public class ColumnModelEvent
      extends EventObject

  An event object implementation used to notify model listeners of type `IColumnModelListener` about changes to the column model that they are attached to.
  Since:
    1.0
  Version:
    $Revision: 1.6 $
  Author:
    Dirk Lemmermann
  See Also:
    `IColumnModelListener`, `IColumnModel`, `IColumnModel.addColumnModelListener(IColumnModelListener)`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnModelEvent.ID` An enumerator with values that describe which kind of modification took place on a column model.

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnModelEvent(IColumnModel model, TreeTableColumn column, ColumnModelEvent.ID id)` Constructs a new column model event for the given column model and column.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TreeTableColumn` | `getColumn()` Returns the column that was added/removed/inserted.
    `ColumnModelEvent.ID` | `getId()` Returns the event identifier.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnModelEvent

          public ColumnModelEvent(IColumnModel model,
                                  TreeTableColumn column,
                                  ColumnModelEvent.ID id)

      Constructs a new column model event for the given column model and column. The id specifies which type of model modification took place.
      Parameters:
        `model` - the modified column model (the source)
        `column` - the added/removed/inserted column
        `id` - the event identifier
      Since:
        1.0

  - ### Method Detail

    - #### getColumn

          public TreeTableColumn getColumn()

      Returns the column that was added/removed/inserted.
      Returns:
        the column that was modified
      Since:
        1.0

    - #### getId

          public ColumnModelEvent.ID getId()

      Returns the event identifier.
      Returns:
        the event identifier
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.